summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-12-06 23:28:25 +0000
committerZac Medico <zmedico@gentoo.org>2007-12-06 23:28:25 +0000
commit90f0e5ce71870fbf761b52cd25f92c4e07dce146 (patch)
tree5e11307595e22422a11536f35e94698249e6168d /bin
parent69a17b45b03f2636907231cee1c3c4f7644ecf1d (diff)
downloadportage-90f0e5ce71870fbf761b52cd25f92c4e07dce146.tar.gz
portage-90f0e5ce71870fbf761b52cd25f92c4e07dce146.tar.bz2
portage-90f0e5ce71870fbf761b52cd25f92c4e07dce146.zip
Prevent the filter_opts local variable from leaking into the
environment in preprocess_ebuild_env(). svn path=/main/trunk/; revision=8857
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ebuild.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 5fcf27794..c40403264 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1442,7 +1442,8 @@ preprocess_ebuild_env() {
filter_opts="--filter-sandbox ${filter_opts}"
fi
filter_readonly_variables ${filter_opts} < "${T}"/environment \
- > "${T}"/environment.filtered
+ > "${T}"/environment.filtered || return $?
+ unset filter_opts
mv "${T}"/environment.filtered "${T}"/environment || return $?
rm -f "${T}/environment.success" || return $?
# WARNING: Code inside this subshell should avoid making assumptions